Get device test history
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "4f6b06e1-20e4-44d4-8b4d-a31d09f34cce",
"job": "5da30eb2-a71b-44a9-9323-2f41f8f6f7d3",
"job_name": "validation-batch-01",
"cohort": "6fb17c3b-42f8-4daf-8ec4-bd832bc3152d",
"test_slug": "single-node.hpl-gpu",
"stage": "single_node",
"status": "completed",
"execution_mode": "qualifying",
"freshness": "current",
"marked_stale_at": null,
"metrics": [
{
"name": "gflops",
"value": 290000,
"unit": "GFLOPS",
"detail": null,
"evaluation": {
"passed": true,
"threshold": 220000,
"comparator": "gte"
},
"statistics": {
"mean": {
"value": 290000,
"evaluation": {
"passed": true,
"threshold": 220000,
"comparator": "gte"
}
},
"min": {
"value": 289000,
"evaluation": null
},
"max": {
"value": 291000,
"evaluation": null
},
"median": {
"value": 290500,
"evaluation": null
},
"stdev": {
"value": 750,
"evaluation": null
}
}
}
],
"iteration_summary": {
"requested": 3,
"completed": 3,
"failed": 0,
"completed_iterations": [
1,
2,
3
]
},
"evaluation": {
"passed": true,
"reason": null
},
"error_details": null,
"artifact_uri": "s3://fm-artifacts/sta1/jobs/5da30eb2/run-001/",
"slurm_job_id": 12345,
"started_at": "2026-02-15T09:02:00Z",
"completed_at": "2026-02-15T09:07:00Z",
"links": {
"self": "https://fm.example.com/api/v1/burn-in/test-executions/4f6b06e1-20e4-44d4-8b4d-a31d09f34cce/",
"collection": "https://fm.example.com/api/v1/burn-in/test-executions/",
"job": "https://fm.example.com/api/v1/jobs/5da30eb2-a71b-44a9-9323-2f41f8f6f7d3/",
"cohort": "https://fm.example.com/api/v1/burn-in/cohorts/6fb17c3b-42f8-4daf-8ec4-bd832bc3152d/"
}
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
Get device test history
Site-scoped summary list and per-device history endpoints.
GET
/
api
/
v1
/
burn-in
/
sites
/
{site_id}
/
device-test-summaries
/
{device_id}
/
Get device test history
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/device-test-summaries/{device_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "4f6b06e1-20e4-44d4-8b4d-a31d09f34cce",
"job": "5da30eb2-a71b-44a9-9323-2f41f8f6f7d3",
"job_name": "validation-batch-01",
"cohort": "6fb17c3b-42f8-4daf-8ec4-bd832bc3152d",
"test_slug": "single-node.hpl-gpu",
"stage": "single_node",
"status": "completed",
"execution_mode": "qualifying",
"freshness": "current",
"marked_stale_at": null,
"metrics": [
{
"name": "gflops",
"value": 290000,
"unit": "GFLOPS",
"detail": null,
"evaluation": {
"passed": true,
"threshold": 220000,
"comparator": "gte"
},
"statistics": {
"mean": {
"value": 290000,
"evaluation": {
"passed": true,
"threshold": 220000,
"comparator": "gte"
}
},
"min": {
"value": 289000,
"evaluation": null
},
"max": {
"value": 291000,
"evaluation": null
},
"median": {
"value": 290500,
"evaluation": null
},
"stdev": {
"value": 750,
"evaluation": null
}
}
}
],
"iteration_summary": {
"requested": 3,
"completed": 3,
"failed": 0,
"completed_iterations": [
1,
2,
3
]
},
"evaluation": {
"passed": true,
"reason": null
},
"error_details": null,
"artifact_uri": "s3://fm-artifacts/sta1/jobs/5da30eb2/run-001/",
"slurm_job_id": 12345,
"started_at": "2026-02-15T09:02:00Z",
"completed_at": "2026-02-15T09:07:00Z",
"links": {
"self": "https://fm.example.com/api/v1/burn-in/test-executions/4f6b06e1-20e4-44d4-8b4d-a31d09f34cce/",
"collection": "https://fm.example.com/api/v1/burn-in/test-executions/",
"job": "https://fm.example.com/api/v1/jobs/5da30eb2-a71b-44a9-9323-2f41f8f6f7d3/",
"cohort": "https://fm.example.com/api/v1/burn-in/cohorts/6fb17c3b-42f8-4daf-8ec4-bd832bc3152d/"
}
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Device identifier.
Site identifier.
Query Parameters
Filter results created on or after this timestamp (inclusive).
Filter results created before this timestamp (exclusive).
Optionally scope summaries to a specific job.
Number of results to return per page.
Required range:
1 <= x <= 500A page number within the paginated result set.
Filter results by test stage.
single_node- Single Nodepairwise- Pairwisecollective- Collective
Available options:
single_node, pairwise, collective